Specify or get the character encoding in which the messages from the DOMAIN message catalog will be returned

- « Gettext Functions

- bindtextdomain »

- PHP Manual
- Gettext Functions
- Specify or get the character encoding in which the messages from the DOMAIN message catalog will be returned

# bind_textdomain_codeset

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

bind_textdomain_codeset — Specify or get the character encoding in which the messages from the DOMAIN message catalog will be returned

### Description

bind_textdomain_codeset(string `$domain`, ?string `$codeset`): string|false

bind_textdomain_codeset() allows to set or get the encoding in which messages from `domain` will be returned by gettext() and similar functions.

### Parameters

`domain`

  The domain.

`codeset`

  The code set. If `null`, the currently set encoding is returned.

### Return Values

A string on success.

### Changelog

Version | Description
--- | ---
8.0.3 | `codeset` is nullable now. Previously, it was not possible to retrieve the currently set encoding.

### Notes

> Note:

> The bind_textdomain_codeset() information is maintained per process, not per thread.